Debian Bug report logs - #498050
flac's "apply replaygain" option uses locales when it shouldn't

version graph

Package: flac; Maintainer for flac is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for flac is src:flac.

Reported by: hhaamu@gmail.com

Date: Sat, 6 Sep 2008 16:39:01 UTC

Severity: normal

Tags: patch

Found in version flac/1.2.1-1.2

Fixed in version flac/1.2.1-4

Done: Fabian Greffrath <fabian+debian@greffrath.com>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=3288157&group_id=13478&atid=113478

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joshua Kwan <joshk@triplehelix.org>:
Bug#498050; Package flac. Full text and rfc822 format available.

Acknowledgement sent to hhaamu@gmail.com:
New Bug report received and forwarded. Copy sent to Joshua Kwan <joshk@triplehelix.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: hhaamu@gmail.com
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: flac's "apply replaygain" option uses locales when it shouldn't
Date: Sat, 6 Sep 2008 19:37:30 +0300
Package: flac
Version: 1.2.1-1.2
Severity: normal

*** Please type your report below this line ***

flac has an undocumented option --apply-replaygain-which-is-not-lossless
for normalising the files' volume when decoding files.


The replaygain tags inside a file are in the format:
REPLAYGAIN_TRACK_GAIN=-2.29 dB
REPLAYGAIN_TRACK_PEAK=0.96014404

$ LC_NUMERIC=sv_SE.utf8 flac -d --apply-replaygain-which-is-not-lossless *.flac

01 d-moll.flac: INFO: applying album ReplayGain (gain=-2,00dB+preamp=0,0dB, low noise shaping, hard limiting) to output
01 d-moll.flac: WARNING: applying ReplayGain is not lossless
01 d-moll.flac: done

$ LC_NUMERIC=C flac -d --apply-replaygain-which-is-not-lossless *.flac

01 d-moll.flac: INFO: applying album ReplayGain (gain=-2.29dB+preamp=0.0dB, low noise shaping, hard limiting) to output
01 d-moll.flac: WARNING: applying ReplayGain is not lossless
01 d-moll.flac: done

Note that the gains differ. sv_SE uses a decimal comma while the data in
the tags use a decimal point. In that locale, the decoder considers the
decimal point an incorrect character and truncates the tag to "-2 dB".


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (700, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24.5 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=fi_FI.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages flac depends on:
ii  libc6                         2.7-13     GNU C Library: Shared libraries
ii  libflac8                      1.2.1-1.2  Free Lossless Audio Codec - runtim
ii  libogg0                       1.1.3-4    Ogg Bitstream Library

flac recommends no packages.

flac suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Kwan <joshk@triplehelix.org>:
Bug#498050; Package flac. (Sun, 12 Apr 2009 14:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to hhaamu@gmail.com:
Extra info received and forwarded to list. Copy sent to Joshua Kwan <joshk@triplehelix.org>. (Sun, 12 Apr 2009 14:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 498050@bugs.debian.org (full text, mbox):

From: hhaamu@gmail.com
To: 498050@bugs.debian.org
Subject: Re: flac's "apply replaygain" option uses locales when it shouldn't
Date: Sun, 12 Apr 2009 17:40:27 +0300
[Message part 1 (text/plain, inline)]
tags 498050 patch
thanks

I believe this patch should fix the issue. It was somewhat of a  
copypaste job.

[rg_c_locale.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joshua Kwan <joshk@triplehelix.org>:
Bug#498050; Package flac. (Mon, 13 Apr 2009 15:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to hhaamu@gmail.com:
Extra info received and forwarded to list. Copy sent to Joshua Kwan <joshk@triplehelix.org>. (Mon, 13 Apr 2009 15:09:02 GMT) Full text and rfc822 format available.

Message #15 received at 498050@bugs.debian.org (full text, mbox):

From: hhaamu@gmail.com
To: 498050@bugs.debian.org
Date: Mon, 13 Apr 2009 18:06:54 +0300
[Message part 1 (text/plain, inline)]
Updated patch. The previous one caused a segfault when there were no  
RG tags set.

[rg_c_locale-try2.patch (application/octet-stream, attachment)]

Tags added: patch Request was from hhaamu@gmail.com to control@bugs.debian.org. (Mon, 13 Apr 2009 15:09:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/tracker/?func=detail&aid=3288157&group_id=13478&atid=113478'. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 10:55:34 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 10:55:40 GMT) Full text and rfc822 format available.

Reply sent to Fabian Greffrath <fabian+debian@greffrath.com>:
You have taken responsibility. (Mon, 11 Jul 2011 15:03:08 GMT) Full text and rfc822 format available.

Notification sent to hhaamu@gmail.com:
Bug acknowledged by developer. (Mon, 11 Jul 2011 15:03:08 GMT) Full text and rfc822 format available.

Message #26 received at 498050-close@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian+debian@greffrath.com>
To: 498050-close@bugs.debian.org
Subject: Bug#498050: fixed in flac 1.2.1-4
Date: Mon, 11 Jul 2011 15:02:18 +0000
Source: flac
Source-Version: 1.2.1-4

We believe that the bug you reported is fixed in the latest version of
flac, which is due to be installed in the Debian FTP archive:

flac_1.2.1-4.diff.gz
  to main/f/flac/flac_1.2.1-4.diff.gz
flac_1.2.1-4.dsc
  to main/f/flac/flac_1.2.1-4.dsc
flac_1.2.1-4_amd64.deb
  to main/f/flac/flac_1.2.1-4_amd64.deb
libflac++-dev_1.2.1-4_amd64.deb
  to main/f/flac/libflac++-dev_1.2.1-4_amd64.deb
libflac++6_1.2.1-4_amd64.deb
  to main/f/flac/libflac++6_1.2.1-4_amd64.deb
libflac-dev_1.2.1-4_amd64.deb
  to main/f/flac/libflac-dev_1.2.1-4_amd64.deb
libflac-doc_1.2.1-4_all.deb
  to main/f/flac/libflac-doc_1.2.1-4_all.deb
libflac8_1.2.1-4_amd64.deb
  to main/f/flac/libflac8_1.2.1-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498050@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Greffrath <fabian+debian@greffrath.com> (supplier of updated flac package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 09 Jul 2011 11:51:59 +0200
Source: flac
Binary: flac libflac8 libflac-doc libflac-dev libflac++6 libflac++-dev
Architecture: source amd64 all
Version: 1.2.1-4
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Fabian Greffrath <fabian+debian@greffrath.com>
Description: 
 flac       - Free Lossless Audio Codec - command line tools
 libflac++-dev - Free Lossless Audio Codec - C++ development library
 libflac++6 - Free Lossless Audio Codec - C++ runtime library
 libflac-dev - Free Lossless Audio Codec - C development library
 libflac-doc - Free Lossless Audio Codec - library documentation
 libflac8   - Free Lossless Audio Codec - runtime C library
Closes: 498050 633177
Changes: 
 flac (1.2.1-4) unstable; urgency=low
 .
   [ Fabian Greffrath ]
   * Convert patch tracking system from dpatch to quilt.
   * Convert package to use dh7 with quilt and autotools-dev sequence
     addons.
   * Clean up debian/control and debian/flac.install.
   * Remove unnecessary debian/fixrpath.
   * Skip test suite, it was also skipped before.
   * Bring back config.sub and config.guess from upstream branch.
   * Improve debian/copyright.
   * Remove special handling of CFLAGS for m68k.
   * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
     "undefined macro: AM_PATH_XMMS" and similar errors which cause
     autoreconf to fail.
   * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
   * Convert patch tracking system from dpatch to quilt.
   * Convert package to use dh7 with quilt and autotools-dev sequence addons.
   * Clean up debian/control and debian/flac.install.
   * Remove unseless debian/fixrpath.
   * Prepare new changelog entry.
   * Skip test suite, it was also skipped before.
   * Bring back config.sub and config.guess from upstream branch.
   * Clarify dh_auto_test should be omitted.
   * Update debian/changelog.
   * Improve debian/copyright.
   * Update debian/changelog.
   * Remove special handling of CFLAGS for m68k.
   * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
     "undefined macro: AM_PATH_XMMS" and similar errors which cause
     autoreconf to fail.
   * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
   * Update debian/changelog.
   * Remove 90_autoreconf.patch from debian/patches/series as well.
 .
   [ Alessio Treglia ]
   * debian/control:
     - Bump Standards.
     - Fix team's name.
   * debian/patches/13_replaygain_c_locale.patch:
     - flac should not use locales when running with 'replaygain'
       option (Closes: #498050).
   * debian/patches/14_metadata_iterators_memleak.patch:
     - Fix memoy leak in metadata_iterators.c, 'node' is not freed;
       Patch taken from upstream's patchtracker.
   * Add .gitignore to skip quilt files.
   * Add gbp config file.
   * Get rid of unneeded *.la files (Closes: #633177).
Checksums-Sha1: 
 241847a1e522dc72633662bbf47dd913f8799e09 1411 flac_1.2.1-4.dsc
 0cc8a6b1306d56bb8b53f58a4cd16852020db135 15476 flac_1.2.1-4.diff.gz
 50d1c2645a2845a7f2d10c49ee3f077c2f6edcbf 176612 flac_1.2.1-4_amd64.deb
 5732bd46247abb03f4f198cc8212c43ad435c85e 152886 libflac8_1.2.1-4_amd64.deb
 764bbbcc9cafa3593a79dc09545314d9636ee562 791914 libflac-doc_1.2.1-4_all.deb
 d6d3e076f9fe1346bf0d9ee8b5139cf746aea050 226006 libflac-dev_1.2.1-4_amd64.deb
 17bf7924e0f1941cf1967ff0dd0a832c306b2e88 39884 libflac++6_1.2.1-4_amd64.deb
 d9bbda7a0fb930f6ec10472df3124008aa7678d4 51260 libflac++-dev_1.2.1-4_amd64.deb
Checksums-Sha256: 
 3e7752d050a70ba363d6a40c03fd02ec5b608bcf383094fca3eee4b46b5b870f 1411 flac_1.2.1-4.dsc
 e63533c9b76aec88b10a0833def9f21dab2054c07591bb14f0ef57e421aaf35d 15476 flac_1.2.1-4.diff.gz
 7d4d811110245aa56743623f064973ec4bb196f51268f83a4904ef9d1b1b1ac4 176612 flac_1.2.1-4_amd64.deb
 11c266b0684d09d2fab5c9e81ac9f22115e8a79d1c5f0f3bc0e00f76e3463929 152886 libflac8_1.2.1-4_amd64.deb
 6b5989367dc63edabab65d0ea585e13c33668860bc7e48584fd35bc74a8fc141 791914 libflac-doc_1.2.1-4_all.deb
 9195b3b5557fd65bb7c3769c14152122cc84b062cc2c057150c97cc7a535f1b8 226006 libflac-dev_1.2.1-4_amd64.deb
 140afd7db100cf47b5d5625fd18f5673a7847af58c0b2b78389c3ce16da528f4 39884 libflac++6_1.2.1-4_amd64.deb
 0a514738f88cfd6996ef50750627c42ba195f3c08a2b09fc137294388abb268a 51260 libflac++-dev_1.2.1-4_amd64.deb
Files: 
 bb5585cd2721ce51343b7dd007cd829a 1411 sound optional flac_1.2.1-4.dsc
 1909c594b71c68a946b627903ec784b2 15476 sound optional flac_1.2.1-4.diff.gz
 f86d376cf6b1a9b8cbe1d36488efc042 176612 sound optional flac_1.2.1-4_amd64.deb
 4a43399fd384fc69a5ea1547003b5d47 152886 libs optional libflac8_1.2.1-4_amd64.deb
 e53926abdbe46179c7fadb8c741ad7ce 791914 doc optional libflac-doc_1.2.1-4_all.deb
 e8f30c99f28a3331a8b228e902203507 226006 libdevel optional libflac-dev_1.2.1-4_amd64.deb
 6bf8c036bee719e6e8eeb73c54f9e762 39884 libs optional libflac++6_1.2.1-4_amd64.deb
 4a1800787bc09e2988242e7362806ba1 51260 libdevel optional libflac++-dev_1.2.1-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4bDe4ACgkQRdSMfNz8P9CacwCfcGnsRVf5l4gr4LC7FHOmyHLt
z7AAnA5BqGS/wRqZaiL2jEWP3S3fYMtB
=7swX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Aug 2011 07:36:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:30:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.